Subject: Re: bug#13446: 24.2; Fix loop test in linum.el

From: Stefan Monnier <[email-masked]>
Date: Sun, 27 Oct 2013 20:36:30 -0400

> parens/brackets via `forward-' and `backward-sexp'.  If something is
> going to replace linum, I'd be very interested to know whether it fixes
> this problem.  Do you happen to know?

The intended replacement is nlinum.el (you can install it via M-x
list-packages).  But it is not as hackable as linum.el (nothing
equivalent to linum-before-numbering-hook).

        Stefan

> Stefan Monnier <[email-masked]> writes:

>> BTW, in nlinum-mode, the default behavior is half-way between the two:
>> we don't try to accommodate the largest line number there can be
>> (partly to avoid scanning the whole buffer, which can be a performance
>> problem in itself), so we grow the margin only when we display a larger
>> number, but we don't shrink it back when moving back to the beginning of
>> the file with shorter line numbers.